<?php 
if ( ! defined( 'ABSPATH' ) ) { 
    die; // Cannot access directly
}

// Function to get the default IcoFont icons
if ( ! function_exists( 'Eventful_Pro_get_default_icons_icofont' ) ) {
    function Eventful_Pro_get_default_icons_icofont() {
        return array(
            array(
                'title' => 'IcoFont',
                'icons' => array(
                    'icofont-check',
                    'icofont-verification-check',
                    'icofont-check-circled',
                    'icofont-checked',
                    'icofont-filter',
                    'icofont-listing-box',
                    'icofont-brand-whatsapp',
                    'icofont-chart-histogram',
                    'icofont-chart-histogram-alt',
                    'icofont-android-tablet',
                    'icofont-imac',
                    'icofont-ipad',
                    'icofont-laptop-alt',
                    'icofont-ipod-touch',
                    'icofont-monitor',
                    'icofont-arrow-down',
                    'icofont-arrow-left',
                    'icofont-arrow-right',
                    'icofont-arrow-up',
                    'icofont-caret-down',
                    'icofont-caret-left',
                    'icofont-caret-right',
                    'icofont-caret-up',
                    'icofont-double-left',
                    'icofont-double-right',
                    'icofont-long-arrow-down',
                    'icofont-long-arrow-left',
                    'icofont-long-arrow-right',
                    'icofont-long-arrow-up',
                    'icofont-rounded-down',
                    'icofont-rounded-up',
                    'icofont-rounded-right',
                    'icofont-rounded-right-up',
                    'icofont-rounded-right-down',
                    'icofont-rounded-left',
                    'icofont-rounded-left-up',
                    'icofont-rounded-left-down',
                    'icofont-plus',
                    'icofont-plus-circle',
                    'icofont-minus',
                    'icofont-minus-circle',
                    'icofont-settings',
                    'icofont-settings-alt',
                    'icofont-reply',
                    'icofont-gear',
                    'icofont-gear-alt',
                    'icofont-gears',
                    'icofont-ui-user',
                    'icofont-user-alt-3',
                    'icofont-users-social',
                    'icofont-users-alt-5',
                    'icofont-question',
                    'icofont-question-circle',
                    'icofont-paint',
                    'icofont-location-pin',
                    'icofont-listine-dots',
                    'icofont-close',
                    'icofont-close-line',
                    'icofont-close-squared-alt',
                    'icofont-close-circled',
                    'icofont-ui-rate-blank',
                    'icofont-ui-rating',
                    'icofont-search-1',
                    'icofont-search',
                    'icofont-search-2',
                    'icofont-ui-search',
                    'icofont-ui-rotation',
                    'icofont-toggle-off',
                    'icofont-toggle-on',
                    'icofont-outdent',
                    'icofont-drag',
                    'icofont-laptop',
                    'icofont-surface-tablet',
                    'icofont-copy-invert',
                    'icofont-thin-right',
                    'icofont-external-link',
                    'icofont-share',
                    'icofont-calendar',
                    'icofont-ui-calendar',
                    'icofont-align-left',
                    'icofont-align-center',
                    'icofont-align-right',
                    'icofont-phone',
                    'icofont-google-map',
                    'icofont-clock-time',
                    'icofont-ui-folder',
                    'icofont-folder',
                    'icofont-sort',
                    'icofont-key',
                    'icofont-life-ring',
                    'icofont-font',
                    'icofont-transparent',
                    'icofont-file-css',
                    'icofont-edit',
                    'icofont-heart',
                    'icofont-envelope',
                    'icofont-envelope-open',
                    'icofont-code',
                    'icofont-code-alt',
                    'icofont-facebook',
                    'icofont-twitter',
                    'icofont-pinterest',
                    'icofont-instagram',
                    'icofont-reddit',
                    'icofont-tumblr',
                    'icofont-digg',
                    'icofont-vk',
                    'icofont-xing',
                    'icofont-brand-target',
                    'icofont-youtube-play',
                )
            )
        );
    }
}
