<?php

namespace ThemeAtelier\EventfulPro\Admin\Views\Generator;

use ThemeAtelier\EventfulPro\Admin\Framework\Classes\EventfulPro;

if (!defined('ABSPATH')) {
	die;
} // Cannot access directly.

/**
 * The Shortcode display class.
 */
class EventfulShortcode
{

	/**
	 * Shortcode display metabox section.
	 *
	 * @param string $prefix The metabox key.
	 * @return void
	 */
	public static function section($prefix)
	{
		if (isset($_GET['post'])) {
			EventfulPro::createSection(
				$prefix,
				array(
					'fields' => array(
						array(
							'type'  => 'shortcode',
							'class' => 'eventful-pro-admin-sidebar',
						),
					),
				)
			);
		}
	}
}
