<?php

use ThemeAtelier\EventfulPro\Helpers\EventfulLiveFilter;

/**
 *  Shuffle filter bar file
 *
 * This template can be overridden by copying it to yourtheme/eventful-pro/templates/filter-bar.php
 *
 * @package    Eventful_pro
 * @subpackage Eventful_pro/public/template
 */

if (is_array($advanced_filter) && ! $eventful_pro_query->is_main_query()) {
	ob_start();
	EventfulLiveFilter::eventful_pro_live_filter($view_options, $query_args, $eventful_pro_gl_id);
	EventfulLiveFilter::eventful_pro_author_filter($view_options, $query_args);
	EventfulLiveFilter::eventful_pro_custom_filter_filter($view_options, $query_args, $eventful_pro_gl_id);
	$filter_bar = ob_get_clean();

	ob_start();
	EventfulLiveFilter::eventful_pro_orderby_filter_bar($view_options, $eventful_pro_query, $eventful_pro_gl_id);
	EventfulLiveFilter::eventful_pro_order_filter_bar($view_options, $eventful_pro_gl_id);
	EventfulLiveFilter::eventful_pro_live_search_bar($view_options, $eventful_pro_gl_id);
	$ex_filter_bar = ob_get_clean();


	if (! empty($filter_bar)) { ?>
		<div class="eventful-pro-filter-bar">
			<?php echo $filter_bar; ?>
		</div>
	<?php }
	if (! empty($ex_filter_bar)) { ?>
		<div class="eventful_pro_ex_filter_bar">
			<?php echo $ex_filter_bar; ?>
		</div>
<?php }
} ?>