<?php

/**
 * 
 * @package    iDonate - blood donor management system WordPress Plugin
 * @version    1.0
 * @author     ThemeAtelier
 * @Websites: https://themeatelier.net/
 *
 */

// Blocking direct access
if (!defined('ABSPATH')) {
	die(esc_html(EVENTFUL_PRO_ALERT_MSG));
}

use ThemeAtelier\EventfulPro\Helpers\EventfulProImageResizer;

/**
 * Eventful dashboard capability.
 *
 * @return string
 */
function eventful_pro_dashboard_capability()
{
    return apply_filters('eventful_pro_dashboard_capability', 'manage_options');
}


if (! function_exists('ta_eventful_pro_resize')) {
	/**
	 * This is just a tiny wrapper function for the class above so that there is no
	 * need to change any code in your own WP themes. Usage is still the same :)
	 *
	 * @param  mixed $url image url.
	 * @param  mixed $width image width.
	 * @param  mixed $height height.
	 * @param  mixed $crop crop.
	 * @param  mixed $single single.
	 * @param  mixed $upscale upscale.
	 * @return statement
	 */
	function ta_eventful_pro_resize($url, $width = null, $height = null, $crop = null, $single = true, $upscale = false)
	{
		$ta_eventful_pro_resize = EventfulProImageResizer::getInstance();
		return $ta_eventful_pro_resize->process($url, $width, $height, $crop, $single, $upscale);
	}
}
