jQuery(document).ready(function ($) {
  "use strict";
  var eventful_pro_myScript = function () {
    if ($(".ta-container").length > 0) {
      $(".ta-container").each(function () {
        var eventful_pro_container = $(this),
          eventful_pro_container_id = eventful_pro_container.attr("id"),
          eventful_pro_Wrapper_ID = "#" + eventful_pro_container_id,
          pc_sid = $(eventful_pro_Wrapper_ID).data("sid"), // The Shortcode ID.
          eventfulCarousel = $("#" + eventful_pro_container_id + " .ta-eventful-pro-carousel"),
          eventfulAccordion = $("#" + eventful_pro_container_id + " .ta-collapse"),
          eventfulfilter = $("#" + eventful_pro_container_id + ".eventful-pro-filter-wrapper"),
          ajaxurl = speventful.ajaxurl,
          nonce = speventful.nonce,
          eventfulCarouselDir = eventfulCarousel.attr("dir"),
          eventfulSwiper,
          eventfulCarouselData = eventfulCarousel.data("carousel");
       
        if (eventfulCarousel.length > 0) {
          var mobile_land = parseInt(
              eventfulCarouselData.responsive.mobile_landscape
            ),
            tablet_size = parseInt(eventfulCarouselData.responsive.tablet),
            desktop_size = parseInt(eventfulCarouselData.responsive.desktop),
            lg_desktop_size = parseInt(eventfulCarouselData.responsive.lg_desktop);
        }

        // Carousel Init function.
        function eventful_pro_carousel_init() {
          // Carousel ticker mode.
          if (eventfulCarouselData.mode == "ticker") {
            var item = eventfulCarousel.find(".swiper-wrapper .swiper-slide").length;
            eventfulSwiper = eventfulCarousel.find(".swiper-wrapper").bxSlider({
              mode: "horizontal",
              moveSlides: 1,
              slideMargin: eventfulCarouselData.spaceBetween,
              infiniteLoop: eventfulCarouselData.loop,
              slideWidth: eventfulCarouselData.ticker_width,
              minSlides: eventfulCarouselData.slidesPerView.mobile,
              maxSlides: eventfulCarouselData.slidesPerView.lg_desktop,
              speed: eventfulCarouselData.ticker_speed * item,
              ticker: true,
              tickerHover: eventfulCarouselData.stop_onHover,
              autoDirection: eventfulCarouselDir,
            });
          }

          // Carousel Swiper for Standard & Center mode.
          if (
            eventfulCarouselData.mode == "standard" ||
            eventfulCarouselData.mode == "center"
          ) {
            if (
              eventfulCarouselData.effect == "fade" ||
              eventfulCarouselData.effect == "cube" ||
              eventfulCarouselData.effect == "flip"
            ) {
              if ($(window).width() > lg_desktop_size) {
                var slidePerView = eventfulCarouselData.slidesPerView.lg_desktop;
              } else if ($(window).width() > desktop_size) {
                var slidePerView = eventfulCarouselData.slidesPerView.desktop;
              } else if ($(window).width() > tablet_size) {
                var slidePerView = eventfulCarouselData.slidesPerView.tablet;
              } else if ($(window).width() > 0) {
                var slidePerView = eventfulCarouselData.slidesPerView.mobile_landscape;
              }
              $(
                eventful_pro_Wrapper_ID +
                  " .ta-eventful-pro-carousel .swiper-wrapper > .eventful_pro__item"
              )
                .css("width", 100 / slidePerView + "%")
                .removeClass("swiper-slide");
              var fade_items = $(
                eventful_pro_Wrapper_ID +
                  " .ta-eventful-pro-carousel .swiper-wrapper > .eventful_pro__item"
              );
              var style =
                eventfulCarouselDir == "rtl" ? "marginLeft" : "marginRight";
              for (var i = 0; i < fade_items.length; i += slidePerView) {
                fade_items
                  .slice(i, i + slidePerView)
                  .wrapAll('<div class="swiper-slide"></div>');
                fade_items.eq(i - 1).css(style, 0);
              }
              eventfulSwiper = new Swiper(
                "#" + eventful_pro_container_id + " .ta-eventful-pro-carousel",
                {
                  speed: eventfulCarouselData.speed,
                  slidesPerView: 1,
                  spaceBetween: eventfulCarouselData.spaceBetween,
                  loop:
                    eventfulCarouselData.slidesRow.lg_desktop > "1" ||
                    eventfulCarouselData.slidesRow.desktop > "1" ||
                    eventfulCarouselData.slidesRow.tablet > "1" ||
                    eventfulCarouselData.slidesRow.mobile_landscape > "1" ||
                    eventfulCarouselData.slidesRow.mobile > "1"
                      ? false
                      : eventfulCarouselData.loop,
                  effect: eventfulCarouselData.effect,
                  slidesPerGroup: eventfulCarouselData.slideToScroll.mobile,
                  preloadImages: false,
                  observer: true,
                  runCallbacksOnInit: false,
                  initialSlide: 0,
                  slidesPerColumn: eventfulCarouselData.slidesRow.mobile,
                  slidesPerColumnFill: "row",
                  autoHeight:
                    eventfulCarouselData.slidesRow.lg_desktop > "1" ||
                    eventfulCarouselData.slidesRow.desktop > "1" ||
                    eventfulCarouselData.slidesRow.tablet > "1" ||
                    eventfulCarouselData.slidesRow.mobile_landscape > "1" ||
                    eventfulCarouselData.slidesRow.mobile > "1"
                      ? false
                      : eventfulCarouselData.autoHeight,
                  simulateTouch: eventfulCarouselData.simulateTouch,
                  allowTouchMove: eventfulCarouselData.allowTouchMove,
                  mousewheel: eventfulCarouselData.slider_mouse_wheel,
                  centeredSlides: eventfulCarouselData.center_mode,
                  lazy: eventfulCarouselData.lazy,
                  pagination:
                    eventfulCarouselData.pagination == true
                      ? {
                          el: ".swiper-pagination",
                          clickable: true,
                          dynamicBullets: eventfulCarouselData.dynamicBullets,
                          renderBullet: function (index, className) {
                            if (eventfulCarouselData.bullet_types == "number") {
                              return (
                                '<span class="' +
                                className +
                                '">' +
                                (index + 1) +
                                "</span>"
                              );
                            } else {
                              return '<span class="' + className + '"></span>';
                            }
                          },
                        }
                      : false,
                  autoplay: {
                    delay: eventfulCarouselData.autoplay_speed,
                  },
                  navigation:
                    eventfulCarouselData.navigation == true
                      ? {
                          nextEl: ".eventful-pro-button-next",
                          prevEl: ".eventful-pro-button-prev",
                        }
                      : false,
                  fadeEffect: {
                    crossFade: true,
                  },
                  ally: {
                    enabled: eventfulCarouselData.enabled,
                    prevSlideMessage: eventfulCarouselData.prevSlideMessage,
                    nextSlideMessage: eventfulCarouselData.nextSlideMessage,
                    firstSlideMessage: eventfulCarouselData.firstSlideMessage,
                    lastSlideMessage: eventfulCarouselData.lastSlideMessage,
                    paginationBulletMessage:
                      eventfulCarouselData.paginationBulletMessage,
                  },
                  keyboard: {
                    enabled: eventfulCarouselData.keyboard === "true" ? true : false,
                  },
                }
              );
            } else {
              eventfulSwiper = new Swiper(
                "#" + eventful_pro_container_id + " .ta-eventful-pro-carousel",
                {
                  speed: eventfulCarouselData.speed,
                  slidesPerView: eventfulCarouselData.slidesPerView.mobile,
                  spaceBetween: eventfulCarouselData.spaceBetween,
                  loop:
                    eventfulCarouselData.slidesRow.lg_desktop > "1" ||
                    eventfulCarouselData.slidesRow.desktop > "1" ||
                    eventfulCarouselData.slidesRow.tablet > "1" ||
                    eventfulCarouselData.slidesRow.mobile_landscape > "1" ||
                    eventfulCarouselData.slidesRow.mobile > "1"
                      ? false
                      : eventfulCarouselData.loop,
                  effect: eventfulCarouselData.effect,
                  slidesPerGroup: eventfulCarouselData.slideToScroll.mobile,
                  preloadImages: false,
                  observer: true,
                  runCallbacksOnInit: false,
                  initialSlide: 0,
                  slidesPerColumn: eventfulCarouselData.slidesRow.mobile,
                  slidesPerColumnFill: "row",
                  autoHeight:
                    eventfulCarouselData.slidesRow.lg_desktop > "1" ||
                    eventfulCarouselData.slidesRow.desktop > "1" ||
                    eventfulCarouselData.slidesRow.tablet > "1" ||
                    eventfulCarouselData.slidesRow.mobile_landscape > "1" ||
                    eventfulCarouselData.slidesRow.mobile > "1"
                      ? false
                      : eventfulCarouselData.autoHeight,
                  simulateTouch: eventfulCarouselData.simulateTouch,
                  allowTouchMove: eventfulCarouselData.allowTouchMove,
                  mousewheel: eventfulCarouselData.slider_mouse_wheel,
                  centeredSlides: eventfulCarouselData.center_mode,
                  lazy: eventfulCarouselData.lazy,
                  pagination:
                    eventfulCarouselData.pagination == true
                      ? {
                          el: ".swiper-pagination",
                          clickable: true,
                          dynamicBullets: eventfulCarouselData.dynamicBullets,
                          renderBullet: function (index, className) {
                            if (eventfulCarouselData.bullet_types == "number") {
                              return (
                                '<span class="' +
                                className +
                                '">' +
                                (index + 1) +
                                "</span>"
                              );
                            } else {
                              return '<span class="' + className + '"></span>';
                            }
                          },
                        }
                      : false,
                  autoplay: {
                    delay: eventfulCarouselData.autoplay_speed,
                  },
                  navigation:
                    eventfulCarouselData.navigation == true
                      ? {
                          nextEl: ".eventful-pro-button-next",
                          prevEl: ".eventful-pro-button-prev",
                        }
                      : false,
                  breakpoints: {
                    [mobile_land]: {
                      slidesPerView:
                        eventfulCarouselData.slidesPerView.mobile_landscape,
                      slidesPerGroup:
                        eventfulCarouselData.slideToScroll.mobile_landscape,
                      slidesPerColumn:
                        eventfulCarouselData.slidesRow.mobile_landscape,
                      navigation:
                        eventfulCarouselData.navigation_mobile == true
                          ? {
                              nextEl: ".eventful-pro-button-next",
                              prevEl: ".eventful-pro-button-prev",
                            }
                          : false,
                      pagination:
                        eventfulCarouselData.pagination_mobile == true
                          ? {
                              el: ".swiper-pagination",
                              clickable: true,
                              dynamicBullets: eventfulCarouselData.dynamicBullets,
                              renderBullet: function (index, className) {
                                if (eventfulCarouselData.bullet_types == "number") {
                                  return (
                                    '<span class="' +
                                    className +
                                    '">' +
                                    (index + 1) +
                                    "</span>"
                                  );
                                } else {
                                  return (
                                    '<span class="' + className + '"></span>'
                                  );
                                }
                              },
                            }
                          : false,
                    },
                    [tablet_size]: {
                      slidesPerView: eventfulCarouselData.slidesPerView.tablet,
                      slidesPerGroup: eventfulCarouselData.slideToScroll.tablet,
                      slidesPerColumn: eventfulCarouselData.slidesRow.tablet,
                    },
                    [desktop_size]: {
                      slidesPerView: eventfulCarouselData.slidesPerView.desktop,
                      slidesPerGroup: eventfulCarouselData.slideToScroll.desktop,
                      slidesPerColumn: eventfulCarouselData.slidesRow.desktop,
                    },
                    [lg_desktop_size]: {
                      slidesPerView: eventfulCarouselData.slidesPerView.lg_desktop,
                      slidesPerGroup: eventfulCarouselData.slideToScroll.lg_desktop,
                      slidesPerColumn: eventfulCarouselData.slidesRow.lg_desktop,
                    },
                  },
                  fadeEffect: {
                    crossFade: true,
                  },
                  ally: {
                    enabled: eventfulCarouselData.enabled,
                    prevSlideMessage: eventfulCarouselData.prevSlideMessage,
                    nextSlideMessage: eventfulCarouselData.nextSlideMessage,
                    firstSlideMessage: eventfulCarouselData.firstSlideMessage,
                    lastSlideMessage: eventfulCarouselData.lastSlideMessage,
                    paginationBulletMessage:
                      eventfulCarouselData.paginationBulletMessage,
                  },
                  keyboard: {
                    enabled: eventfulCarouselData.keyboard === "true" ? true : false,
                  },
                }
              );
            }
            if (eventfulCarouselData.autoplay === false) {
              eventfulSwiper.autoplay.stop();
            }
            if (eventfulCarouselData.stop_onHover && eventfulCarouselData.autoplay) {
              $(eventfulCarousel).on({
                mouseenter: function () {
                  eventfulSwiper.autoplay.stop();
                },
                mouseleave: function () {
                  eventfulSwiper.autoplay.start();
                },
              });
            }
            $(window).on("resize", function () {
              eventfulSwiper.update();
            });
            $(window).trigger("resize");
          }
        }
        if (eventfulCarousel.length > 0) {
          eventful_pro_carousel_init();
        }
        $(
          ".ta-overlay.ta-eventful-pro-post,.ta-content-box.ta-eventful-pro-post",
          eventful_pro_Wrapper_ID
        ).on("mouseover", function () {
          $(this)
            .find(".eventful_pro__item__content.animated:not(.eventful_pro_hover)")
            .addClass("eventful_pro_hover");
        });

        
        function eventful_pro_item_same_height() {
          var maxHeight = 0;
          $(eventful_pro_Wrapper_ID + ".eventful_pro_same_height .item").each(function () {
            if ($(this).find(".ta-eventful-pro-post").height() > maxHeight) {
              maxHeight = $(this).find(".ta-eventful-pro-post").height();
            }
          });
          $(eventful_pro_Wrapper_ID + ".eventful_pro_same_height .ta-eventful-pro-post").height(maxHeight);
        }
        if (
          $(eventful_pro_Wrapper_ID + ".eventful_pro_same_height").hasClass("eventful-pro-filter-wrapper")
        ) {
          eventful_pro_item_same_height();
        }

        // Ajax Action for Live filter.
        var keyword = "",
          orderby = "",
          taxonomy = "",
          order = "",
          term_id = "",
          page = "",
          spsp_lang = $(eventful_pro_Wrapper_ID).data("lang");
          var author_id = "",
          custom_field_key = "",
          custom_field_value = "",
          eventful_pro_hash_url = Array(),
          eventful_pro_last_filter = "",
          custom_fields_array = Array(),
          is_pagination_url_change = true;
        function eventful_pro_ajax_action(selected_term_list = null) {
          jQuery.ajax({
            url: ajaxurl,
            type: "POST",
            data: {
              action: "eventful_pro_post_order",
              id: pc_sid,
              lang: spsp_lang,
              order: order,
              keyword: keyword,
              orderby: orderby,
              taxonomy: taxonomy,
              term_id: term_id,
              author_id: author_id,
              nonce: nonce,
              term_list: selected_term_list,
              custom_fields_array: custom_fields_array,
            },
            success: function (data) {
              var $data = $(data);
              var $newElements = $data;

              if ($(eventful_pro_Wrapper_ID).hasClass("eventful-pro-masonry")) {
                var $post_wrapper = $(".ta-row", eventful_pro_Wrapper_ID);
                $post_wrapper.masonry("destroy");
                $post_wrapper.html($newElements).imagesLoaded(function () {
                  $post_wrapper.masonry();
                });
              } else if (eventfulCarousel.length > 0) {
                if (eventfulCarouselData.mode == "ticker") {
                  eventfulSwiper.destroySlider();
                  $(".swiper-wrapper", eventful_pro_Wrapper_ID).html($newElements);
                  eventful_pro_carousel_init();
                  eventfulSwiper.reloadSlider();
                } else {
                  eventfulSwiper.destroy(true, true);
                  $(".swiper-wrapper", eventful_pro_Wrapper_ID).html($newElements);
                  eventful_pro_carousel_init();
                }
              } else {
                var $newElements = $data.css({
                  opacity: 0,
                });
                $(
                  ".ta-row, .eventful-pro-timeline-grid, .ta-collapse, .table-responsive tbody",
                  eventful_pro_Wrapper_ID
                ).html($newElements);
                if (eventfulAccordion.length > 0) {
                  eventfulAccordion.accordion("refresh");
                  if (accordion_mode === "multi-open") {
                    eventfulAccordion
                      .find(".eventful-pro-collapse-header")
                      .next()
                      .slideDown();
                    eventfulAccordion
                      .find(".eventful-pro-collapse-header .fa")
                      .removeClass("fa-plus")
                      .addClass("fa-minus");
                  }
                }
                var $newElements = $data.css({
                  opacity: 1,
                });
              }
              eventful_pro_lazyload();
            },
          });
        }

        // Pagination.
        function eventful_pagination_action(selected_term_list = null) {
          var LoadMoreText = $(".ta-eventful-pro-pagination-data", eventful_pro_Wrapper_ID).data(
            "loadmoretext"
          );
          var EndingMessage = $(".ta-eventful-pro-pagination-data", eventful_pro_Wrapper_ID).data(
            "endingtext"
          );
          jQuery.ajax({
            url: ajaxurl,
            type: "POST",
            data: {
              action: "post_pagination_bar_mobile",
              id: pc_sid,
              order: order,
              lang: spsp_lang,
              keyword: keyword,
              orderby: orderby,
              taxonomy: taxonomy,
              author_id: author_id,
              term_id: term_id,
              page: page,
              nonce: nonce,
              term_list: selected_term_list,
              custom_fields_array: custom_fields_array,
            },
            success: function (data) {
              var $data = $(data);
              var $newElements = $data;
              $(
                ".eventful-pro-post-pagination.eventful-pro-on-mobile:not(.no_ajax)",
                eventful_pro_Wrapper_ID
              ).html($newElements);
              if (
                Pagination_Type == "infinite_scroll" ||
                Pagination_Type == "ajax_load_more"
              ) {
                $(".eventful-pro-load-more", eventful_pro_Wrapper_ID)
                  .removeClass("finished")
                  .removeClass("eventful-pro-hide")
                  .html(
                    '<button eventful-processing="0">' + LoadMoreText + "</button>"
                  );
                if (!$(".eventful-pro-post-pagination a", eventful_pro_Wrapper_ID).length) {
                  $(".eventful-pro-load-more", eventful_pro_Wrapper_ID)
                    .show()
                    .html(EndingMessage);
                }
              }
              if (Pagination_Type == "infinite_scroll") {
                $(".eventful-pro-load-more", eventful_pro_Wrapper_ID).addClass("eventful-pro-hide");
              }
            },
          });
          jQuery.ajax({
            url: ajaxurl,
            type: "POST",
            data: {
              action: "post_pagination_bar",
              id: pc_sid,
              order: order,
              lang: spsp_lang,
              keyword: keyword,
              orderby: orderby,
              taxonomy: taxonomy,
              author_id: author_id,
              term_id: term_id,
              page: page,
              nonce: nonce,
              term_list: selected_term_list,
              custom_fields_array: custom_fields_array,
            },
            success: function (data) {
              var $data = $(data);
              var $newElements = $data;
              $(
                ".eventful-pro-post-pagination.eventful-pro-on-desktop:not(.no_ajax)",
                eventful_pro_Wrapper_ID
              ).html($newElements);
              if (
                Pagination_Type == "infinite_scroll" ||
                Pagination_Type == "ajax_load_more"
              ) {
                $(".eventful-pro-load-more", eventful_pro_Wrapper_ID)
                  .removeClass("finished")
                  .removeClass("eventful-pro-hide")
                  .html(
                    '<button eventful-processing="0">' + LoadMoreText + "</button>"
                  );
              }
              if (Pagination_Type == "infinite_scroll") {
                $(".eventful-pro-load-more", eventful_pro_Wrapper_ID).addClass("eventful-pro-hide");
              }
              if (!$(".eventful-pro-post-pagination a", eventful_pro_Wrapper_ID).length) {
                $(".eventful-pro-load-more", eventful_pro_Wrapper_ID).show().html(EndingMessage);
              }
              eventful_pro_lazyload();
            },
          });
        }
        // Live filter button reset on ajax call.
        function eventful_pro_live_filter_reset(selected_term_list = null) {
          jQuery.ajax({
            url: ajaxurl,
            type: "POST",
            data: {
              action: "eventful_pro_live_filter_reset",
              id: pc_sid,
              order: order,
              lang: spsp_lang,
              keyword: keyword,
              orderby: orderby,
              taxonomy: taxonomy,
              term_id: term_id,
              author_id: author_id,
              nonce: nonce,
              term_list: selected_term_list,
              last_filter: eventful_pro_last_filter,
              custom_fields_array: custom_fields_array,
            },
            success: function (data) {
              var $data = $(data);
              var $newElements = $data.animate({
                opacity: 0.5,
              });
              $(".eventful-pro-filter-bar", eventful_pro_Wrapper_ID).html($newElements);
              custom_field_filter_slider();
              $newElements.animate({
                opacity: 1,
              });
            },
          });
        }
        // Update Hash url array.
        function eventful_pro_hash_update_arr(eventful_pro_filter_keyword, filter_arr, key) {
          if (eventful_pro_hash_url.length > 0) {
            eventful_pro_hash_url.forEach(function (row) {
              if ($.inArray(eventful_pro_filter_keyword, row.eventful_pro_filter_keyword)) {
                row[key] = eventful_pro_filter_keyword;
              } else {
                eventful_pro_hash_url.push(filter_arr);
              }
            });
          } else {
            eventful_pro_hash_url.push(filter_arr);
          }
          return eventful_pro_hash_url;
        }
        // On normal pagination go to current shortcode.
        var url_hash = window.location.search;
        if (url_hash.indexOf("paged") >= 0) {
          var s_id = /paged(\d+)/.exec(url_hash)[1];
          var spscurrent_id = document.getElementById("eventful_pro_wrapper-" + s_id);
          spscurrent_id.scrollIntoView();
        }
        // Update url.
        var selected_term_list = Array();
        function eventful_pro_update_url() {
          var p_search = window.location.search;
          if (p_search.indexOf("page_id") >= 0) {
            var eventful_pro_page = /page_id\=(\d+)/.exec(p_search)[1];
            var eventful_pro_url = "?page_id=" + eventful_pro_page + "&";
          } else {
            var eventful_pro_url = "&";
          }
          if (eventful_pro_hash_url.length > 0) {
            $.map(eventful_pro_hash_url, function (value, index) {
              $.map(value, function (value2, index2) {
                if (
                  value2 == "all" ||
                  value2 == "none" ||
                  value2 == "" ||
                  value2 == "page"
                ) {
                  eventful_pro_url += "";
                } else {
                  eventful_pro_url += "eventful_pro_" + index2 + "=" + value2 + "&";
                }
              });
            });
          }
          if (selected_term_list.length > 0) {
            var term_total_length = selected_term_list.length;
            $.map(selected_term_list, function (value, index) {
              if (value.term_id == "all" || value.term_id == "") {
                eventful_pro_url += "";
              } else {
                if (index == term_total_length - 1) {
                  eventful_pro_url += "tx_" + value.taxonomy + "=" + value.term_id + "";
                } else {
                  eventful_pro_url += "tx_" + value.taxonomy + "=" + value.term_id + "&";
                }
              }
            });
          }
          if (custom_fields_array.length > 0) {
            var meta_field_total_length = custom_fields_array.length;
            $.map(custom_fields_array, function (value, index) {
              //  if (index == meta_field_total_length - 1) {
              eventful_pro_url +=
                "cf" +
                value.custom_field_key +
                "=" +
                value.custom_field_value +
                "&";
              // }
            });
          }
          if (eventful_pro_hash_url.length < 0 || selected_term_list.length < 0) {
            eventful_pro_url = "";
          }
          if (eventful_pro_url.length > 1) {
            var slf = "";
            if (eventful_pro_last_filter.length > 0) {
              var slf = "&slf=" + eventful_pro_last_filter;
            }

            eventful_pro_url = "?eventful=" + pc_sid + slf + eventful_pro_url;
            history.pushState(null, null, encodeURI(eventful_pro_url));
          } else {
            var uri = window.location.toString();
            if (uri.indexOf("?") > 0) {
              var clean_uri = uri.substring(0, uri.indexOf("?"));
              window.history.replaceState({}, document.title, clean_uri);
            }
          }
        }

        function custom_field_filter_slider() {
          $(eventful_pro_Wrapper_ID + " .eventful-pro-custom-field-filter-slider").each(
            function () {
              var _that = $(this);
              var _input = _that.find(".eventful-pro-input");
              var custom_field_key = _input.attr("name");
              var _min = _input.data("min");
              var _crmin = _input.data("crmin");
              var _crmax = _input.data("crmax");
              var _max = _input.data("max");
              _that.find(".eventful-pro-slider").slider({
                range: true,
                min: _crmin,
                max: _crmax,
                values: [_min, _max],
                slide: function (event, ui) {
                  _input.val(ui.values[0] + " - " + ui.values[1]);
                },
                stop: function (event, ui) {
                  _input.data("max", ui.values[1]);

                  custom_field_value = ui.values[0] + " " + ui.values[1];
                  custom_fields_array.push({
                    custom_field_key,
                    custom_field_value,
                  });
                  custom_fields_array.map(function (person) {
                    if (person.custom_field_key === custom_field_key) {
                      person.custom_field_value = custom_field_value;
                    }
                  });
                  custom_fields_array = $.grep(
                    custom_fields_array,
                    function (e, i) {
                      return e.custom_field_value.length;
                    }
                  );
                  custom_fields_array = custom_fields_array
                    .map(JSON.stringify)
                    .reverse() // convert to JSON string the array content, then reverse it (to check from end to beginning)
                    .filter(function (item, index, arr) {
                      return arr.indexOf(item, index + 1) === -1;
                    }) // check if there is any occurrence of the item in whole array
                    .reverse()
                    .map(JSON.parse);
                  eventful_pro_update_url();
                  eventful_pro_last_filter = custom_field_key;
                  eventful_pro_ajax_action(selected_term_list);
                  eventful_pro_live_filter_reset(selected_term_list);
                },
              });
            }
          );
        }
        custom_field_filter_slider();
        // Ajax post search.
        $("input.eventful-pro-search-field", eventful_pro_Wrapper_ID).on("keyup", function () {
          var that = $(this);
          keyword = that.val();
          eventful_pro_last_filter = "keyword";
          var eventful_pro_search_arr = { keyword, keyword };
          eventful_pro_live_filter_reset(selected_term_list);
          eventful_pro_hash_update_arr(keyword, eventful_pro_search_arr, "keyword");
          eventful_pro_update_url();
          eventful_pro_ajax_action(selected_term_list);
          eventful_pagination_action();
          is_pagination_url_change = false;
          eventful_pro_hash_update_arr("page", { page: "" }, "page");
          eventful_pro_update_url();
        });

        // Post order by.
        $(".eventful-pro-order-by", eventful_pro_Wrapper_ID).on("change", function () {
          var that;
          $(this)
            .find("option:selected, input:radio:checked")
            .each(function () {
              that = $(this);
              orderby = that.val();
            });
          var orerbyarr = { orderby, orderby };
          eventful_pro_hash_update_arr(orderby, orerbyarr, "orderby");
          eventful_pro_update_url();
          eventful_pro_ajax_action();
          eventful_pagination_action();
          eventful_pro_hash_update_arr("page", { page: "" }, "page");
          eventful_pro_update_url();
        });

        function eventful_pro_filter_push(myarr, item) {
          var found = false;
          var i = 0;
          while (i < myarr.length) {
            if (myarr[i] === item) {
              // Do the logic (delete or replace)
              found = true;
              break;
            }
            i++;
          }
          // Add the item
          if (!found) myarr.push(item);
          return myarr;
        }

        // Pre Filter Init.
        var tax_list = Array();
        $(".eventful-pro-filter-by", eventful_pro_Wrapper_ID)
          .find("option:selected, input:radio:checked")
          .each(function () {
            term_id = $(this).val();
            taxonomy = $(this).data("taxonomy");
            var selected_tax_length = selected_term_list.length;
            if (selected_tax_length > 0) {
              var selected_tax =
                selected_term_list[selected_tax_length - 1]["taxonomy"];
              selected_term_list.map(function (person) {
                if (person.taxonomy === taxonomy) {
                  person.term_id = term_id;
                }
              });
              // if ($.inArray(taxonomy, tax_list) == -1) {
              selected_term_list.push({
                taxonomy,
                term_id,
              });
              //  }
              if (
                selected_term_list[selected_tax_length - 1]["term_id"] ==
                  "all" &&
                selected_tax === taxonomy
              ) {
                tax_list = tax_list.filter(function (val) {
                  return val !== taxonomy;
                });
              } else {
                tax_list = eventful_pro_filter_push(tax_list, taxonomy);
              }
              selected_term_list = $.grep(selected_term_list, function (e, i) {
                return e.term_id != "all";
              });
            } else {
              selected_term_list.push({
                taxonomy,
                term_id,
              });
              selected_term_list = $.grep(selected_term_list, function (e, i) {
                return e.term_id != "all";
              });
              tax_list = Array(taxonomy);
            }
          });
        $(".eventful-pro-author-filter", eventful_pro_Wrapper_ID)
          .find("option:selected, input:radio:checked")
          .each(function () {
            var that;
            that = $(this);
            author_id = that.val();
          });
        $(".eventful-pro-order", eventful_pro_Wrapper_ID)
          .find("option:selected, input:radio:checked")
          .each(function () {
            var that;
            that = $(this);
            order = $(this).val();
          });
        $(".eventful-pro-order-by", eventful_pro_Wrapper_ID)
          .find("option:selected, input:radio:checked")
          .each(function () {
            var that;
            that = $(this);
            orderby = that.val();
          });
        $("input.eventful-pro-search-field", eventful_pro_Wrapper_ID).each(function () {
          var that;
          var that = $(this);
          keyword = that.val();
        });
        $(".eventful-pro-filter-by-checkbox", eventful_pro_Wrapper_ID).each(function () {
          var current_tax = $(this).data("taxonomy");
          var term_ids = "";
          $(this)
            .find("input[name='" + current_tax + "']:checkbox:checked")
            .each(function () {
              term_ids += $(this).val() + ",";
              taxonomy = $(this).data("taxonomy");
            });
          term_id = term_ids.replace(/,(?=\s*$)/, "");
          selected_term_list.map(function (person) {
            if (person.taxonomy === current_tax) {
              person.term_id = term_id;
            }
          });
          selected_term_list.push({
            taxonomy,
            term_id,
          });
        });
        selected_term_list = $.grep(selected_term_list, function (e, i) {
          return e.term_id.length;
        });
        // Custom field filter.
        $(".eventful-pro-custom-field-filter", eventful_pro_Wrapper_ID).each(function () {
          $(this)
            .find("option:selected, input:radio:checked")
            .each(function () {
              custom_field_key = $(this).attr("name");
              custom_field_value = $(this).val();
              custom_fields_array.map(function (person) {
                if (person.custom_field_key === custom_field_key) {
                  person.custom_field_value = custom_field_value;
                }
              });
              custom_fields_array.push({
                custom_field_key,
                custom_field_value,
              });
            });
        });
        selected_term_list = selected_term_list
          .map(JSON.stringify)
          .reverse() // convert to JSON string the array content, then reverse it (to check from end to beginning)
          .filter(function (item, index, arr) {
            return arr.indexOf(item, index + 1) === -1;
          }) // check if there is any occurence of the item in whole array
          .reverse()
          .map(JSON.parse);
        // Filter by checkbox.
        $(eventful_pro_Wrapper_ID).on("change", ".eventful-pro-filter-by-checkbox", function (e) {
          e.stopPropagation();
          e.preventDefault();
          $(".eventful-pro-filter-by-checkbox", eventful_pro_Wrapper_ID).each(function () {
            var current_tax = $(this).data("taxonomy");
            var term_ids = "";
            $(this)
              .find("input[name='" + current_tax + "']:checkbox:checked")
              .each(function () {
                term_ids += $(this).val() + ",";
                taxonomy = $(this).data("taxonomy");
              });
            term_id = term_ids.replace(/,(?=\s*$)/, "");
            selected_term_list.map(function (person) {
              if (person.taxonomy === current_tax) {
                person.term_id = term_id;
              }
            });
            selected_term_list.push({
              taxonomy,
              term_id,
            });
          });
          selected_term_list = $.grep(selected_term_list, function (e, i) {
            return e.term_id.length;
          });
          selected_term_list = selected_term_list
            .map(JSON.stringify)
            .reverse() // convert to JSON string the array content, then reverse it (to check from end to beginning)
            .filter(function (item, index, arr) {
              return arr.indexOf(item, index + 1) === -1;
            }) // check if there is any occurence of the item in whole array
            .reverse()
            .map(JSON.parse);
          var term_ids = "";
          $(this)
            .find("input:checkbox:checked")
            .each(function () {
              term_ids += $(this).val() + ",";
              taxonomy = $(this).data("taxonomy");
            });
          taxonomy = $(this).data("taxonomy");
          term_id = term_ids.replace(/,(?=\s*$)/, "");
          if (term_id.length > 0) {
            eventful_pro_last_filter = taxonomy;
          } else {
            eventful_pro_last_filter = eventful_pro_last_filter;
          }
          eventful_pro_hash_update_arr("page", { page: "" }, "page");
          eventful_pro_update_url();
          eventful_pro_live_filter_reset(selected_term_list);
          eventful_pro_ajax_action(selected_term_list);
          eventful_pagination_action(selected_term_list);
        });

        // Filter by custom field.
        $(eventful_pro_Wrapper_ID).on(
          "change",
          ".eventful-pro-custom-field-filter",
          function (e) {
            e.stopPropagation();
            e.preventDefault();
            $(".eventful-pro-custom-field-filter", eventful_pro_Wrapper_ID).each(function () {
              $(this)
                .find("option:selected, input:radio:checked")
                .each(function () {
                  custom_field_key = $(this).attr("name");
                  custom_field_value = $(this).val();
                  custom_fields_array.map(function (person) {
                    if (person.custom_field_key === custom_field_key) {
                      person.custom_field_value = custom_field_value;
                    }
                  });
                  custom_fields_array.push({
                    custom_field_key,
                    custom_field_value,
                  });
                });
            });
            eventful_pro_last_filter = $(this)
              .find("option:selected, input:radio:checked")
              .attr("name");
            custom_fields_array = $.grep(custom_fields_array, function (e, i) {
              return e.custom_field_value != "all";
            });
            custom_fields_array = custom_fields_array
              .map(JSON.stringify)
              .reverse() // convert to JSON string the array content, then reverse it (to check from end to beginning)
              .filter(function (item, index, arr) {
                return arr.indexOf(item, index + 1) === -1;
              }) // check if there is any occurence of the item in whole array
              .reverse()
              .map(JSON.parse);
            eventful_pro_ajax_action(selected_term_list);
            eventful_pagination_action(selected_term_list);
            eventful_pro_live_filter_reset(selected_term_list);
            eventful_pro_update_url();
          }
        );
        // Filter by checkbox custom field.
        $(eventful_pro_Wrapper_ID).on(
          "change",
          ".eventful-pro-custom-field-filter-checkbox",
          function (e) {
            e.stopPropagation();
            e.preventDefault();
            $(".eventful-pro-custom-field-filter-checkbox", eventful_pro_Wrapper_ID).each(
              function () {
                var custom_field_key = $(this)
                  .find("input:checkbox")
                  .attr("name");
                var custom_field_value = "";
                $(this)
                  .find(
                    "input[name='" + custom_field_key + "']:checkbox:checked"
                  )
                  .each(function () {
                    custom_field_key = $(this).attr("name");
                    custom_field_value += $(this).val() + ",";
                  });
                custom_field_value = custom_field_value.replace(
                  /,(?=\s*$)/,
                  ""
                );
                custom_fields_array.push({
                  custom_field_key,
                  custom_field_value,
                });
                custom_fields_array.map(function (person) {
                  if (person.custom_field_key === custom_field_key) {
                    person.custom_field_value = custom_field_value;
                  }
                });
                custom_fields_array = $.grep(
                  custom_fields_array,
                  function (e, i) {
                    return e.custom_field_value.length;
                  }
                );
              }
            );
            eventful_pro_last_filter = $(this)
              .find("input:checkbox:checked")
              .attr("name");
            custom_fields_array = custom_fields_array
              .map(JSON.stringify)
              .reverse() // convert to JSON string the array content, then reverse it (to check from end to beginning)
              .filter(function (item, index, arr) {
                return arr.indexOf(item, index + 1) === -1;
              }) // check if there is any occurrence of the item in whole array
              .reverse()
              .map(JSON.parse);
            eventful_pro_ajax_action(selected_term_list);
            eventful_pagination_action(selected_term_list);
            eventful_pro_live_filter_reset(selected_term_list);
            eventful_pro_update_url();
          }
        );
        // Filter by taxonomy.
        $(eventful_pro_Wrapper_ID).on("change", ".eventful-pro-filter-by", function (e) {
          e.stopPropagation();
          e.preventDefault();
          $(this)
            .find("option:selected, input:radio:checked")
            .each(function () {
              term_id = $(this).val();
              taxonomy = $(this).data("taxonomy");
              var selected_tax_length = selected_term_list.length;
              if (selected_tax_length > 0) {
                var selected_tax =
                  selected_term_list[selected_tax_length - 1]["taxonomy"];
                selected_term_list.map(function (person) {
                  if (person.taxonomy === taxonomy) {
                    person.term_id = term_id;
                  }
                });
                // if ($.inArray(taxonomy, tax_list) == -1) {
                selected_term_list.push({
                  taxonomy,
                  term_id,
                });
                //  }
                if (
                  selected_term_list[selected_tax_length - 1]["term_id"] ==
                    "all" &&
                  selected_tax === taxonomy
                ) {
                  tax_list = tax_list.filter(function (val) {
                    return val !== taxonomy;
                  });
                } else {
                  tax_list = eventful_pro_filter_push(tax_list, taxonomy);
                }
                selected_term_list = $.grep(
                  selected_term_list,
                  function (e, i) {
                    return e.term_id != "all";
                  }
                );
              } else {
                selected_term_list.push({
                  taxonomy,
                  term_id,
                });
                tax_list = Array(taxonomy);
              }
            });
          if (term_id == "all") {
            eventful_pro_last_filter = eventful_pro_last_filter;
          } else {
            eventful_pro_last_filter = taxonomy;
          }
          selected_term_list = selected_term_list
            .map(JSON.stringify)
            .reverse()
            .filter(function (item, index, selected_term_list) {
              return selected_term_list.indexOf(item, index + 1) === -1;
            })
            .reverse()
            .map(JSON.parse);
          eventful_pro_hash_update_arr("page", { page: "" }, "page");
          eventful_pro_update_url();
          // if ($('.eventful-pro-filter-by', eventful_pro_Wrapper_ID).length > 1) {
          eventful_pro_live_filter_reset(selected_term_list);
          //}
          eventful_pro_ajax_action(selected_term_list);
          eventful_pagination_action(selected_term_list);
        });
        // Author filter.
        $(eventful_pro_Wrapper_ID).on("change", ".eventful-pro-author-filter", function (e) {
          var that;
          $(this)
            .find("option:selected, input:radio:checked")
            .each(function () {
              that = $(this);
              author_id = that.val();
            });
          var author_arr = { author_id, author_id };
          if (author_id == "all") {
            eventful_pro_last_filter = eventful_pro_last_filter;
          } else {
            eventful_pro_last_filter = "author_id";
          }
          eventful_pro_hash_update_arr(author_id, author_arr, "author_id");
          eventful_pro_update_url();
          eventful_pro_live_filter_reset(selected_term_list);
          eventful_pro_ajax_action();
          eventful_pagination_action();
        });

        // Post order asc/dsc.
        $(eventful_pro_Wrapper_ID).on("change", ".eventful-pro-order", function (e) {
          var that;
          $(this)
            .find("option:selected, input:radio:checked")
            .each(function () {
              that = $(this);
              order = $(this).val();
            });
          var order_arr = { order, order };
          eventful_pro_hash_update_arr(order, order_arr, "order");
          eventful_pro_update_url();
          eventful_pro_ajax_action();
          eventful_pagination_action();
          eventful_pro_hash_update_arr("page", { page: "" }, "page");
          eventful_pro_update_url();
        });
        /**
         * Grid masonry.
         */
        if ($(eventful_pro_Wrapper_ID).hasClass("eventful-pro-masonry")) {
          var $post_wrapper = $(".ta-row", eventful_pro_Wrapper_ID);
          $post_wrapper.imagesLoaded(function () {
            $post_wrapper.masonry(/* {
                itemSelector: 'div[class*=ta-col-]',
                //fitWidth: true,
                percentPosition: true
              } */);
          });
        }

        /**
         * The Pagination effects.
         *
         * The effects for pagination to work for both mobile and other screens.
         */
        var Pagination_Type = $(eventful_pro_Wrapper_ID).data("pagination");
        if ($(window).width() <= 480) {
          var Pagination_Type = $(eventful_pro_Wrapper_ID).data("pagination_mobile");
        }
        // Ajax number pagination
        if (Pagination_Type == "ajax_pagination") {
          $(eventful_pro_Wrapper_ID).on("click", ".eventful-pro-post-pagination a", function (e) {
            e.preventDefault();
            var that = $(this);
            var totalPage = $(
                ".eventful-pro-post-pagination.eventful-pro-on-desktop a:not(.eventful_pro_next, .eventful_pro_prev)",
                eventful_pro_Wrapper_ID
              ).length,
              currentPage = parseInt(
                $(
                  ".eventful-pro-post-pagination.eventful-pro-on-desktop .active:not(.eventful_pro_next, .eventful_pro_prev)",
                  eventful_pro_Wrapper_ID
                ).data("page")
              );
            if ($(window).width() <= 480) {
              var totalPage = $(
                  ".eventful-pro-post-pagination.eventful-pro-on-mobile a:not(.eventful_pro_next, .eventful_pro_prev)",
                  eventful_pro_Wrapper_ID
                ).length,
                currentPage = parseInt(
                  $(
                    ".eventful-pro-post-pagination.eventful-pro-on-mobile .active:not(.eventful_pro_next, .eventful_pro_prev)",
                    eventful_pro_Wrapper_ID
                  ).data("page")
                );
            }
            page = parseInt(that.data("page"));
            if (that.hasClass("eventful_pro_next")) {
              if (totalPage > currentPage) {
                var page = currentPage + 1;
              } else {
                return;
              }
            }
            if (that.hasClass("eventful_pro_prev")) {
              if (currentPage > 1) {
                var page = currentPage - 1;
              } else {
                return;
              }
            }
            var eventful_pro_paged = { page, page };
            $.ajax({
              url: ajaxurl,
              type: "post",
              data: {
                page: page,
                id: pc_sid,
                action: "post_grid_ajax",
                order: order,
                lang: spsp_lang,
                keyword: keyword,
                orderby: orderby,
                taxonomy: taxonomy,
                term_id: term_id,
                author_id: author_id,
                term_list: selected_term_list,
                custom_fields_array: custom_fields_array,
                nonce: nonce,
              },
              error: function (response) {
              },
              success: function (response) {
                var $data = $(response);
                var $newElements = $data;
                if ($(eventful_pro_Wrapper_ID).hasClass("eventful-pro-masonry")) {
                  var $post_wrapper = $(".ta-row", eventful_pro_Wrapper_ID);
                  $post_wrapper.masonry("destroy");
                  $post_wrapper.html($newElements).imagesLoaded(function () {
                    $post_wrapper.masonry();
                  });
                } else {
                  $(
                    ".ta-row, .eventful-pro-timeline-grid, .ta-collapse, .table-responsive tbody",
                    eventful_pro_Wrapper_ID
                  ).html($newElements);
                  if (eventfulAccordion.length > 0) {
                    eventfulAccordion.accordion("refresh");
                    if (accordion_mode === "multi-open") {
                      eventfulAccordion
                        .find(".eventful-pro-collapse-header")
                        .next()
                        .slideDown();
                      eventfulAccordion
                        .find(".eventful-pro-collapse-header .fa")
                        .removeClass("fa-plus")
                        .addClass("fa-minus");
                    }
                  }
                  var $newElements = $data.css({
                    opacity: 1,
                  });
                }
                $(".page-numbers", eventful_pro_Wrapper_ID).removeClass("active");
                $(".page-numbers", eventful_pro_Wrapper_ID).each(function () {
                  // if (parseInt($('.eventful-pro-post-pagination a').data('page')) === page) {
                  $(
                    ".eventful-pro-post-pagination a[data-page=" + page + "]",
                    eventful_pro_Wrapper_ID
                  ).addClass("active");
                  // }
                });
                $(".eventful_pro_next", eventful_pro_Wrapper_ID).removeClass("active");
                $(".eventful_pro_prev", eventful_pro_Wrapper_ID).removeClass("active");
                $(".eventful-pro-post-pagination a.active", eventful_pro_Wrapper_ID).each(
                  function () {
                    if (parseInt($(this).data("page")) === totalPage) {
                      $(".eventful_pro_next", eventful_pro_Wrapper_ID).addClass("active");
                    }
                    if (parseInt($(this).data("page")) === 1) {
                      $(".eventful_pro_prev", eventful_pro_Wrapper_ID).addClass("active");
                    }
                  }
                );
                if (eventfulAccordion.length > 0) {
                  eventfulAccordion.accordion("refresh");
                  if (accordion_mode === "multi-open") {
                    eventfulAccordion
                      .find(".eventful-pro-collapse-header")
                      .next()
                      .slideDown();
                    eventfulAccordion
                      .find(".eventful-pro-collapse-header .fa")
                      .removeClass("fa-plus")
                      .addClass("fa-minus");
                  }
                }
                $newElements.animate({
                  opacity: 1,
                });
                eventful_pro_lazyload();
                // Ajax Number pagination go to current shortcode top.
                var url_hash = window.location.search;
                if (url_hash.indexOf("eventful_pro_page") >= 0) {
                  var current_screen_id =
                    document.querySelector(eventful_pro_Wrapper_ID);
                  current_screen_id.scrollIntoView();
                }
              },
            });
            eventful_pro_hash_update_arr(page, eventful_pro_paged, "page");
            eventful_pro_update_url();
          });
        }

        /**
         * Ajax load on click and Infinite scroll.
         */
        if (
          Pagination_Type == "infinite_scroll" ||
          Pagination_Type == "ajax_load_more"
        ) {
          $(eventful_pro_Wrapper_ID).each(function () {
            var EndingMessage = $(this)
              .find(".ta-eventful-pro-pagination-data")
              .data("endingtext");
            var LoadMoreText = $(this)
              .find(".ta-eventful-pro-pagination-data")
              .data("loadmoretext");
            if (
              !$(this)
                .find(".eventful-pro-load-more")
                .hasClass("eventful-pro-load-more-initialize")
            ) {
              if ($(".eventful-pro-post-pagination a", eventful_pro_Wrapper_ID).length) {
                $(".eventful-pro-post-pagination", eventful_pro_Wrapper_ID)
                  .eq(0)
                  .before(
                    '<div class="eventful-pro-load-more"><button eventful-processing="0">' +
                      LoadMoreText +
                      "</button></div>"
                  );
              }
              if (Pagination_Type == "infinite_scroll") {
                $(".eventful-pro-load-more", eventful_pro_Wrapper_ID).addClass("eventful-pro-hide");
              }
              $(".eventful-pro-post-pagination", eventful_pro_Wrapper_ID).addClass("eventful-pro-hide");
              $(".ta-row div[class*=ta-col-]", eventful_pro_Wrapper_ID).addClass(
                "eventful-pro-added"
              );
              $(this)
                .find(".eventful-pro-load-more")
                .addClass("eventful-pro-load-more-initialize");
              $(this).on("click", ".eventful-pro-load-more button", function (e) {
                e.preventDefault();
                if (
                  $(
                    ".eventful-pro-post-pagination a.active:not(.eventful_pro_next, .eventful_pro_prev)",
                    eventful_pro_Wrapper_ID
                  ).length
                ) {
                  $(".eventful-pro-load-more button").attr("eventful-processing", 1);
                  var current_page = parseInt(
                    $(
                      ".eventful-pro-post-pagination a.active:not(.eventful_pro_next, .eventful_pro_prev)",
                      eventful_pro_Wrapper_ID
                    ).data("page")
                  );
                  current_page = current_page + 1;
                  $(".eventful-pro-load-more", eventful_pro_Wrapper_ID).hide();
                  $(".eventful-pro-post-pagination", eventful_pro_Wrapper_ID)
                    .eq(0)
                    .before(
                      '<div class="eventful-pro-infinite-scroll-loader"><svg width="44" height="44" viewBox="0 0 44 44" xmlns="http://www.w3.org/2000/svg" stroke="#444"><g fill="none" fill-rule="evenodd" stroke-width="2"><circle cx="22" cy="22" r="1"><animate attributeName="r" begin="0s" dur="1.8s" values="1; 20" calcMode="spline" keyTimes="0; 1" keySplines="0.165, 0.84, 0.44, 1" repeatCount="indefinite" /> <animate attributeName="stroke-opacity" begin="0s" dur="1.8s" values="1; 0" calcMode="spline" keyTimes="0; 1" keySplines="0.3, 0.61, 0.355, 1" repeatCount="indefinite" /> </circle> <circle cx="22" cy="22" r="1"> <animate attributeName="r" begin="-0.9s" dur="1.8s" values="1; 20" calcMode="spline" keyTimes="0; 1" keySplines="0.165, 0.84, 0.44, 1" repeatCount="indefinite" /> <animate attributeName="stroke-opacity" begin="-0.9s" dur="1.8s" values="1; 0" calcMode="spline" keyTimes="0; 1" keySplines="0.3, 0.61, 0.355, 1" repeatCount="indefinite"/></circle></g></svg></div>'
                    );
                  var totalPage = $(
                    ".eventful-pro-post-pagination.eventful-pro-on-desktop.infinite_scroll a:not(.eventful_pro_next, .eventful_pro_prev), .eventful-pro-post-pagination.eventful-pro-on-desktop.ajax_load_more a:not(.eventful_pro_next, .eventful_pro_prev)",
                    eventful_pro_Wrapper_ID
                  ).length;
                  if ($(window).width() <= 480) {
                    var totalPage = $(
                      ".eventful-pro-post-pagination.eventful-pro-on-mobile.infinite_scroll a:not(.eventful_pro_next, .eventful_pro_prev), .eventful-pro-post-pagination.ajax_load_more.eventful-pro-on-mobile  a:not(.eventful_pro_next, .eventful_pro_prev)",
                      eventful_pro_Wrapper_ID
                    ).length;
                  }
                  page = current_page;
                  $.ajax({
                    url: ajaxurl,
                    type: "post",
                    data: {
                      page: page,
                      id: pc_sid,
                      action: "post_grid_ajax",
                      order: order,
                      lang: spsp_lang,
                      keyword: keyword,
                      orderby: orderby,
                      taxonomy: taxonomy,
                      term_id: term_id,
                      author_id: author_id,
                      term_list: selected_term_list,
                      custom_fields_array: custom_fields_array,
                      nonce: nonce,
                    },
                    error: function (response) {
                    },
                    success: function (response) {
                      var $data = $(response);
                      var $newElements = $data;
                      if ($(eventful_pro_Wrapper_ID).hasClass("eventful-pro-masonry")) {
                        var $post_wrapper = $(".ta-row", eventful_pro_Wrapper_ID);
                        $post_wrapper.masonry("destroy");
                        $post_wrapper
                          .append($newElements)
                          .imagesLoaded(function () {
                            $post_wrapper.masonry();
                          });
                      } else {
                        var $newElements = $data.css({
                          opacity: 0,
                        });
                        $(
                          ".ta-row, .eventful-pro-timeline-grid, .ta-collapse, .table-responsive tbody",
                          eventful_pro_Wrapper_ID
                        ).append($newElements);
                        if (eventfulAccordion.length > 0) {
                          eventfulAccordion.accordion("refresh");
                          if (accordion_mode === "multi-open") {
                            eventfulAccordion
                              .find(".eventful-pro-collapse-header")
                              .next()
                              .slideDown();
                            eventfulAccordion
                              .find(".eventful-pro-collapse-header .fa")
                              .removeClass("fa-plus")
                              .addClass("fa-minus");
                          }
                        }
                        var $newElements = $data.css({
                          opacity: 1,
                        });
                      }
                      $(".page-numbers", eventful_pro_Wrapper_ID).removeClass("active");
                      $(".page-numbers", eventful_pro_Wrapper_ID).each(function () {
                        $(
                          ".eventful-pro-post-pagination a[data-page=" + page + "]",
                          eventful_pro_Wrapper_ID
                        ).addClass("active");
                      });
                      $(".eventful-pro-infinite-scroll-loader", eventful_pro_Wrapper_ID).remove();
                      if (Pagination_Type == "ajax_load_more") {
                        $(".eventful-pro-load-more").show();
                      }
                      $(".eventful-pro-load-more button").attr("eventful-processing", 0);
                      $(".ta-row div[class*=ta-col-]", eventful_pro_Wrapper_ID)
                        .not(".eventful-pro-added")
                        .addClass("animated eventfulFadeIn")
                        .one("webkitAnimationEnd animationEnd", function () {
                          $(this)
                            .removeClass("animated eventfulFadeIn")
                            .addClass("eventful-pro-added");
                        });
                      if (totalPage == current_page) {
                        $(".eventful-pro-load-more", eventful_pro_Wrapper_ID)
                          .addClass("finished")
                          .removeClass("eventful-pro-hide");
                        $(".eventful-pro-load-more", eventful_pro_Wrapper_ID)
                          .show()
                          .html(EndingMessage);
                      }
                      eventful_pro_lazyload();
                    },
                  });
                } else {
                  $(".eventful-pro-load-more", eventful_pro_Wrapper_ID)
                    .addClass("finished")
                    .removeClass("eventful-pro-hide");
                  $(".eventful-pro-load-more", eventful_pro_Wrapper_ID)
                    .show()
                    .html(EndingMessage);
                }
              });
            }
            if (Pagination_Type == "infinite_scroll") {
              var bufferBefore = Math.abs(20);
              $(window).scroll(function () {
                if (
                  $(
                    ".ta-row, .ta-collapse, .eventful-pro-timeline-grid, .table-responsive tbody",
                    eventful_pro_Wrapper_ID
                  ).length
                ) {
                  var TopAndContent =
                    $(
                      ".ta-row, .ta-collapse, .eventful-pro-timeline-grid, .table-responsive tbody",
                      eventful_pro_Wrapper_ID
                    ).offset().top +
                    $(
                      ".ta-row, .ta-collapse, .eventful-pro-timeline-grid, .table-responsive tbody",
                      eventful_pro_Wrapper_ID
                    ).outerHeight();
                  var areaLeft = TopAndContent - $(window).scrollTop();
                  if (areaLeft - bufferBefore < $(window).height()) {
                    if (
                      $(".eventful-pro-load-more button", eventful_pro_Wrapper_ID).attr(
                        "eventful-processing"
                      ) == 0
                    ) {
                      $(".eventful-pro-load-more button", eventful_pro_Wrapper_ID).trigger(
                        "click"
                      );
                    }
                  }
                }
              });
            }
          });
        }

        /* This code added for divi-builder ticker mode compatibility. */
        if (eventfulCarousel.length > 0 && eventfulCarouselData.mode == "ticker") {
          $(".ta-eventful-pro-carousel img").removeAttr("loading");
          $(window).on("load", function () {
            $(".ta-eventful-pro-carousel").each(function () {
              var thisdfd = $(this);
              var thisCSS = thisdfd.attr("style");
              $(this).removeAttr("style");
              setTimeout(function () {
                thisdfd.attr("style", thisCSS);
              }, 0);
            });
          });
        }

        /* Preloader js */
        $(document).ready(function () {
          $(".eventful-pro-preloader", eventful_pro_Wrapper_ID).css({
            backgroundImage: "none",
            visibility: "hidden",
          });
        });
        // This function added for eventful-pro-Lazyload.
        function eventful_pro_lazyload() {
          var $is_find = $(".eventful_pro__item--thumbnail img").hasClass(
            "eventful-pro-lazyload"
          );
          if ($is_find) {
            $("img.eventful-pro-lazyload")
              .eventful_pro_lazyload({ effect: "fadeIn", effectTime: 2000 })
              .removeClass("eventful-pro-lazyload")
              .addClass("eventful-pro-lazyloaded");
          }
        }
        eventful_pro_lazyload();
      });
    }
  };
  eventful_pro_myScript();
});
