;(function( $, window ) {
  'use strict';

/*  Keep the accordion field's first item opened */
$(window).load(function () {
  $('.eventful-pro-opened-accordion').each(function () {
    if (!$(this).hasClass('hidden')) {
      $(this).addClass('eventful_pro_saved_filter')
    }
  })
})
$('.eventful-pro-field-checkbox.eventful_advanced_filter').change(function (event) {
  $('.eventful-pro-opened-accordion').each(function () {
    if ($(this).hasClass('hidden')) {
      $(this).removeClass('eventful_pro_saved_filter')
    } else {
      $(this).addClass('eventful_pro_saved_filter')
    }
    if (!$(this).hasClass('eventful_pro_saved_filter')) {
      if (
        $(this)
          .find('.eventful-pro-accordion-title')
          .siblings('.eventful-pro-accordion-content')
          .hasClass('eventful-pro-accordion-open')
      ) {
        $(this).find('.eventful-pro-accordion-title')
      } else {
        $(this)
          .find('.eventful-pro-accordion-title')
          .trigger('click')
        $(this)
          .find('.eventful-pro-accordion-content')
          .find('.eventful-pro-cloneable-add')
          .trigger('click')
      }
    }
  })
})

})( jQuery, window, document );