; (function ($) {
	'use strict'
  
	/**
	 * JavaScript code for admin dashboard.
	 *
	 */
  
	$(function () {
	  /* Preloader */
	  $("#eventful_view_options .eventful-pro-metabox").css("visibility", "hidden");
  
	  var PCP_layout_type = $(
		'#eventful-pro-section-eventful_layouts_1 .eventful-pro-field-layout_preset .eventful-pro-siblings .eventful-pro--sibling'
	  )
	  var PCP_get_layout_value = $(
		'#eventful-pro-section-eventful_layouts_1 .eventful-pro-field-layout_preset .eventful-pro-siblings .eventful-pro--sibling.eventful-pro--active'
	  )
		.find('input')
		.val()
  
	  // Carousel Layout.
	  if (PCP_get_layout_value !== 'carousel_layout') {
		$(
		  '#eventful_view_options .eventful-pro-nav ul li.menu-item_eventful_view_options_3'
		).hide()
		$(
		  '#eventful_view_options .eventful-pro-nav ul li.menu-item_eventful_view_options_1 a'
		).trigger('click');
	  } else {
		$(
		  '#eventful_view_options .eventful-pro-nav ul li.menu-item_eventful_view_options_3'
		).show()
	  }
  
	  /**
	   * Show/Hide tabs on changing of layout.
	   */
	  $(PCP_layout_type).on('change', 'input', function (event) {
		var PCP_get_layout_value = $(this).val();
  
		// Carousel Layout.
		if (PCP_get_layout_value !== 'carousel_layout') {
		  $(
			'#eventful_view_options .eventful-pro-nav ul li.menu-item_eventful_view_options_3'
		  ).hide()
		  $(
			'#eventful_view_options .eventful-pro-nav ul li.menu-item_eventful_view_options_1 a'
		  ).trigger('click');
		} else {
		  $(
			'#eventful_view_options .eventful-pro-nav ul li.menu-item_eventful_view_options_3'
		  ).show()
		}
	  })
  
	  /* Preloader js */
	  $("#eventful_view_options .eventful-pro-metabox").css({ "backgroundImage": "none", "visibility": "visible", "minHeight": "auto" });
	  $("#eventful_view_options .eventful-pro-nav-metabox li").css("opacity", 1);
  
	  /* Copy to clipboard */
	  $('.eventful-pro-shortcode-selectable').on('click',function (e) {
		e.preventDefault();
		eventful_pro_copyToClipboard($(this));
		eventful_pro_SelectText($(this));
		$(this).trigger("focus").select();
		$('.eventful-pro-after-copy-text').animate({
		  opacity: 1,
		  bottom: 25
		}, 300);
		setTimeout(function () {
		  jQuery(".eventful-pro-after-copy-text").animate({
			opacity: 0,
		  }, 200);
		  jQuery(".eventful-pro-after-copy-text").animate({
			bottom: 0
		  }, 0);
		}, 2000);
	  });
	  $('.ta_eventful_pro_input').on('click',function (e) {
		e.preventDefault();
		/* Get the text field */
		var copyText = $(this);
		/* Select the text field */
		copyText.select();
		document.execCommand("copy");
		$('.eventful-pro-after-copy-text').animate({
		  opacity: 1,
		  bottom: 25
		}, 300);
		setTimeout(function () {
		  jQuery(".eventful-pro-after-copy-text").animate({
			opacity: 0,
		  }, 200);
		  jQuery(".eventful-pro-after-copy-text").animate({
			bottom: 0
		  }, 0);
		}, 2000);
	  });
	  function eventful_pro_copyToClipboard(element) {
		var $temp = $("<input>");
		$("body").append($temp);
		$temp.val($(element).text()).select();
		document.execCommand("copy");
		$temp.remove();
	  }
	  function eventful_pro_SelectText(element) {
		var r = document.createRange();
		var w = element.get(0);
		r.selectNodeContents(w);
		var sel = window.getSelection();
		sel.removeAllRanges();
		sel.addRange(r);
	  }
  
	})
  })(jQuery)
  