<?php
/**
 * Social share
 *
 * This template can be overridden by copying it to yourtheme/eventful-pro/templates/item/social-share.php
 *
 * @package    Eventful_Pro
 * @subpackage Eventful_Pro/public
 */

?>
<div class="eventful_pro__item__socail-share">
<?php
do_action( 'eventful_pro_add_first_socials' );
foreach ( $social_share_media as $style_key => $style_value ) {
	switch ( $style_value ) {
		case 'facebook':
			?>
			<a title="<?php echo esc_attr('Facebook', 'eventful-pro') ?>"  href="https://www.facebook.com/sharer/sharer.php?u=<?php echo get_the_permalink( $post ); ?>" class="eventful-pro-social-icon eventful-pro-facebook <?php echo esc_attr( $social_icon_shape ); ?>" onClick="window.open('https://www.facebook.com/sharer.php?u=<?php echo get_the_permalink( $post ); ?>','Facebook','width=450,height=300,left='+(screen.availWidth/2-300)+',top='+(screen.availHeight/2-150)+''); return false;" ><i class="icofont-facebook"></i></a>
			<?php
			break;
		case 'twitter':
			?>
			<a title="<?php echo esc_attr('Twitter', 'eventful-pro') ?>" onClick="window.open('https://twitter.com/share?url=<?php echo get_the_permalink( $post ); ?>&amp;text=<?php echo get_the_title( $post ); ?>','Twitter share','width=450,height=300,left='+(screen.availWidth/2-300)+',top='+(screen.availHeight/2-150)+''); return false;" href="https://twitter.com/share?url=<?php echo get_the_permalink( $post ); ?>&amp;text=<?php echo get_the_title( $post ); ?>" class="eventful-pro-social-icon eventful-pro-twitter <?php echo esc_attr( $social_icon_shape ); ?>"> <i class="icofont-twitter"></i></a>
			<?php
			break;
		case 'linkedIn':
			?>
			<a href="https://www.linkedin.com/shareArticle?mini=true&amp;url=<?php echo get_the_permalink( $post ); ?>" title="<?php echo esc_attr('linkedIn', 'eventful-pro') ?>" class="eventful-pro-social-icon eventful-pro-linkedin <?php echo esc_attr( $social_icon_shape ); ?>" onClick="window.open('https://www.linkedin.com/shareArticle?mini=true&amp;url=<?php echo get_the_permalink( $post ); ?>','Linkedin','width=450,height=300,left='+(screen.availWidth/2-431)+',top='+(screen.availHeight/2-250)+''); return false;" href="https://www.linkedin.com/shareArticle?mini=true&amp;url=<?php echo get_the_permalink( $post ); ?>"> <i class="fab fa-linkedin-in"></i></a>
			<?php
			break;
		case 'pinterest':
			?>
			<a href='javascript:void((function()%7Bvar%20e=document.createElement(&apos;script&apos;);e.setAttribute(&apos;type&apos;,&apos;text/javascript&apos;);e.setAttribute(&apos;charset&apos;,&apos;UTF-8&apos;);e.setAttribute(&apos;src&apos;,&apos;https://assets.pinterest.com/js/pinmarklet.js?r=&apos;+Math.random()*99999999);document.body.appendChild(e)%7D)());' class="eventful-pro-social-icon eventful-pro-pinterest <?php echo esc_attr( $social_icon_shape ); ?>" title="<?php echo esc_attr('Pinterest', 'eventful-pro') ?>"> <i class="icofont-pinterest"></i></a>
			<?php
			break;
		case 'email':
			?>
			<a href="mailto:?Subject=<?php echo get_the_title( $post ); ?>&amp;Body=<?php echo get_the_permalink( $post ); ?>" title="<?php echo esc_attr('Email', 'eventful-pro') ?>" class="eventful-pro-social-icon eventful-pro-envelope <?php echo esc_attr( $social_icon_shape ); ?>"> <i class="icofont-envelope"></i></a>
			<?php
			break;
		case 'instagram':
			?>
				<a title="<?php echo esc_attr('Instagram', 'eventful-pro') ?>" onClick="window.open('https://instagram.com/?url=<?php echo get_the_permalink( $post ); ?>&amp;text=<?php echo get_the_title( $post ); ?>','Twitter share','width=450,height=300,left='+(screen.availWidth/2-300)+',top='+(screen.availHeight/2-150)+''); return false;" href="https://instagram.com/?url=<?php echo get_the_permalink( $post ); ?>&amp;text=<?php echo get_the_title( $post ); ?>" class="eventful-pro-social-icon eventful-pro-instagram <?php echo esc_attr( $social_icon_shape ); ?>"> <i class="icofont-instagram" aria-hidden="true"></i></a>
				<?php
			break;
		case 'whatsapp':
			?>
			<a href="https://api.whatsapp.com/send?text=<?php echo get_the_title( $post ); ?>%20<?php echo get_the_permalink( $post ); ?>" onClick="window.open('https://api.whatsapp.com/send?text=<?php echo get_the_title( $post ); ?>%20<?php echo get_the_permalink( $post ); ?>','whatsapp','width=450,height=300,left='+(screen.availWidth/2-431)+',top='+(screen.availHeight/2-250)+''); return false;" title="<?php echo esc_attr('WhatsApp', 'eventful-pro') ?>" class="eventful-pro-social-icon eventful-pro-whatsapp <?php echo esc_attr( $social_icon_shape ); ?>"> <i class="icofont-brand-whatsapp"></i></a>
			<?php
			break;
		case 'reddit':
			?>
			<a href="https://reddit.com/submit?url=<?php echo get_the_permalink( $post ); ?>&amp;title=<?php echo get_the_title( $post ); ?>" onClick="window.open('https://reddit.com/submit?url=<?php echo get_the_permalink( $post ); ?>&amp;title=<?php echo get_the_title( $post ); ?>','reddit','width=450,height=300,left='+(screen.availWidth/2-431)+',top='+(screen.availHeight/2-250)+''); return false;" title="<?php echo esc_attr('Reddit', 'eventful-pro') ?>"  class="eventful-pro-social-icon eventful-pro-reddit <?php echo esc_attr( $social_icon_shape ); ?>"> <i class="icofont-reddit"></i></a>
			<?php
			break;
		case 'tumblr':
			?>
			<a href="https://www.tumblr.com/widgets/share/tool?canonicalUrl=<?php echo get_the_permalink( $post ); ?>&amp;title=<?php echo get_the_title( $post ); ?>" title="<?php echo esc_attr('tumblr', 'eventful-pro') ?>" onClick="window.open('https://www.tumblr.com/widgets/share/tool?canonicalUrl=<?php echo get_the_permalink( $post ); ?>&amp;title=<?php echo get_the_title( $post ); ?>','tumblr','width=450,height=300,left='+(screen.availWidth/2-431)+',top='+(screen.availHeight/2-250)+''); return false;" class="eventful-pro-social-icon eventful-pro-tumblr <?php echo esc_attr( $social_icon_shape ); ?>"><i class="icofont-tumblr"></i></a>
			<?php
			break;
		case 'digg':
			?>
			<a href="https://digg.com/submit?url=<?php echo get_the_permalink( $post ); ?>%&amp;title=<?php echo get_the_title( $post ); ?>" onClick="window.open('https://digg.com/submit?url=<?php echo get_the_permalink( $post ); ?>%&amp;title=<?php echo get_the_title( $post ); ?>','Digg','width=450,height=300,left='+(screen.availWidth/2-431)+',top='+(screen.availHeight/2-250)+''); return false;" title="<?php echo esc_html('digg', 'eventful-pro') ?>" class="eventful-pro-social-icon eventful-pro-digg <?php echo esc_attr( $social_icon_shape ); ?>"><i class="icofont-digg"></i></a>
			<?php
			break;
		case 'vk':
			?>
			<a href="https://vk.com/share.php?url=<?php echo get_the_permalink( $post ); ?>&amp;title=<?php echo get_the_title( $post ); ?>&amp;comment="  title="<?php echo esc_attr('VK', 'eventful-pro') ?>" onClick="window.open('https://vk.com/share.php','VK','width=450,height=300,left='+(screen.availWidth/2-431)+',top='+(screen.availHeight/2-250)+''); return false;" class="eventful-pro-social-icon eventful-pro-vk <?php echo esc_attr( $social_icon_shape ); ?>"> <i class="icofont-vk"></i></a>
			<?php
			break;
		case 'xing':
			?>
			<a href="https://www.xing.com/spi/shares/new?url=<?php echo get_the_permalink( $post ); ?>" onClick="window.open('https://www.xing.com/spi/shares/new?url=<?php echo get_the_permalink( $post ); ?>','xing','width=450,height=300,left='+(screen.availWidth/2-431)+',top='+(screen.availHeight/2-250)+''); return false;"  title="<?php echo esc_attr('Xing', 'eventful-pro') ?>" class="eventful-pro-social-icon eventful-pro-xing <?php echo esc_attr( $social_icon_shape ); ?>"><i class="icofont-xing"></i></a>
			<?php
			break;
		case 'pocket':
			?>
			<a href="https://getpocket.com/edit?url=<?php echo get_the_permalink( $post ); ?>" onClick="window.open('https://getpocket.com/edit?url=<?php echo get_the_permalink( $post ); ?>','ocket','width=450,height=300,left='+(screen.availWidth/2-431)+',top='+(screen.availHeight/2-250)+''); return false;"  title="<?php echo esc_attr('Pocket', 'eventful-pro') ?>" class="eventful-pro-social-icon eventful-pro-pocket <?php echo esc_attr( $social_icon_shape ); ?>"> <i class="icofont-brand-target"></i></a>
			<?php
			break;
	}
}
do_action( 'eventful_pro_add_last_socials' );
?>
</div>
<?php
