<?php

use ThemeAtelier\EventfulPro\Helpers\EventfulLoopHtml;
use ThemeAtelier\EventfulPro\Helpers\EventfulFunctions;

/**
 *  List view file
 *
 * This template can be overridden by copying it to yourtheme/eventful-pro/templates/list.php
 *
 * @package    Eventful_Pro
 * @subpackage Eventful_Pro/public/template
 */

if (!defined('ABSPATH')) {
	exit;
}
?>
<div id="eventful_pro_wrapper-<?php echo esc_attr($eventful_pro_gl_id); ?>" class="<?php self::eventful_pro_wrapper_classes($layout_preset, $eventful_pro_gl_id, $pagination_type); ?>" <?php self::wrapper_data($pagination_type, $pagination_type_mobile, $eventful_pro_gl_id); ?> data-sid="<?php echo esc_attr($eventful_pro_gl_id); ?>" data-lang="<?php echo esc_attr($spta_lang); ?>">
	<?php
	EventfulLoopHtml::eventful_pro_section_title($section_title, $show_section_title);
	EventfulLoopHtml::eventful_pro_preloader($show_preloader);
	?>
	<?php require EventfulFunctions::eventful_pro_locate_template('filter-bar.php'); ?>
	<div class="eventful">
		<div class="ta-row">
			<?php self::eventful_pro_get_posts($options, $layout_preset, $post_content_sorter, $eventful_pro_query, $eventful_pro_gl_id); ?>
		</div>
	</div>
	<?php require EventfulFunctions::eventful_pro_locate_template('pagination.php'); ?>
</div>